/*
 * Copyright 2008 Evan Cowden
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0 
 * 
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 */
package org.nakedosgi;

/**
 * Constant Values
 * @author Evan Cowden
 */
public interface Constants {

    /**
     * Denotes a null value, usually for an annotation default value
     */
    public static final String NO_VALUE = "$$No Value";
    /**
     * The directory where Declaritive Services component definitions will
     * be placed
     */
    public static final String SERVICE_DEFINITION_DIRECTORY = "OSGI-INF";
    /**
     * The command line argument accepted by the annotation processor that maps 
     * to the bundle name
     */
    public static final String BUNDLE_NAME_ARGUMENT = "bundleName";
    /**
     * The command line argument accepted by the annotation processor that maps 
     * to the bundle symbolic name
     */
    public static final String BUNDLE_SYMBOLIC_NAME_ARGUMENT = "bundleSymbolicName";
    /**
     * The command line argument accepted by the annotation processor that maps 
     * to the bundle version
     */
    public static final String BUNDLE_VERSION_ARGUMENT = "bundleVersion";
    /**
     * Indicates that the annotation processor is running embedded within a
     * larger build process and should write its manifest file to a
     * temporary file (denoted by {@link ManifestConstants.TEMP_MANIFEST_FILE ManifestConstants.TEMP_MANIFEST_FILE})
     */
    public static final String EMBEDDED_OPTION = "embedded";
}
